Draft Fillet

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Fillet and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano
Arrow-left.svg Page précédente: Draft Wire.svg Wire
Page suivante: Circle Draft Circle.svg Arrow-right.svg

Draft Fillet.svg Draft Congé

Emplacement du menu
Draft → Fillet
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Line, Draft Wire


Description

L'outil Draft Congé crée un congé, un coin arrondi, entre deux lignes. Vous pouvez également créer un chanfrein, une règle, entre ces deux lignes.

Draft Fillet example.png

Plusieurs congés et chanfreins créés entre deux lignes


Utilisation

  1. Sélectionnez deux linges déjà placés sur le document et qui se rencontrent en un point.
  2. Appuyez sur le bouton Draft Fillet.svg Creates a fillet....
  3. Choisissez le rayon du congé, puis cliquez sur le Entrée.

Remarques:

  • Si le rayon est trop grand pour que l’arc produit ne sera pas tangent à l’une des lignes, l’opération échouera.
  • Seules les lignes simples sont supportées pour le moment; , c'est-à-dire que des lignes comportant plusieurs points comme Draft Wires peuvent ne pas produire le résultat souhaité.

Création alternative de congés et de chanfreins

Un Draft Wire comportant au moins trois points peut également créer un congé ou un chanfrein.

  1. Sélectionnez deux linges qui se croisent en un point.
  2. Cliquez sur le bouton Draft Wire.svg Draft Wire. Cela va fusionner les deux lignes en un seul objet Wire.
  3. Dans l'éditeur de propriétés, entrez la valeur numérique souhaitée pour le DONNÉESRayon de congé ou pour la DONNÉEStaille du chanfrein.

Cette méthode fonctionne également lors de la jonction de deux polylignes différentes.

Options

  • Cochez la case "Supprimer les objets d'origine" si vous souhaitez supprimer les deux lignes d'origine et ne conserver que le nouvel objet de congé.
  • Cochez la case "Créer un chanfrein" si vous souhaitez créer un bord droit au lieu d'un bord arrondi entre les deux lignes.
  • Appuyez sur Esc ou sur le bouton Close pour annuler la commande en cours.

Propriétés

Un objet Filet partage la plupart des propriétés d'un Draft Wire. Cependant, seules certaines de ces propriétés sont applicables au congé.

Données

  • DONNÉESStart: (lecture seulement) spécifie le point de départ.
  • DONNÉESEnd: (lecture seulement) spécifies le point final.
  • DONNÉESLength: (lecture seulement) spécifie la longueur de tout le segment.
  • DONNÉESFillet Radius: (lecture seulement) rayon avec lequel le congé a été créé.

Vue

  • VUEEnd Arrow: s'il est réglé sur True, un symbole apparaîtra au dernier point de la ligne, ce qui permet de l'utiliser comme ligne d'annotation.
  • VUEArrow Size: spécifie la taille du symbole affiché à la fin de la ligne.
  • VUEArrow Type: spécifie le type de symbole affiché à la fin de la ligne, qui peut être "Point", "Cercle", "Flèche", "Tick" ou "Tick-2".

Script

Voir aussi: Draft API and FreeCAD Scripting Basics.

L'outil Congé peut être utilisé dans une macros et à partir de la console Python à l'aide de la fonction suivante:

Fillet = makeFillet([line1, line2], radius=100, chamfer=False, delete=False)
  • Crée un objet Congé entre les lignes ligne1 et ligne2, en utilisant le rayon pour la courbure.
  • Si le chanfrein est True, il créera une arête droite de la longueur du rayon, au lieu d'un arête arrondie.
  • Si delete est True, il supprimera les ligne1 et ligne2 données, et ne laissera que le nouvel objet.

Exemple:

import FreeCAD as App
import Draft
import DraftFillet

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p2, p3)
App.ActiveDocument.recompute()

Fillet = DraftFillet.makeFillet([Line1, Line2], radius=500)
Arrow-left.svg Page précédente: Draft Wire.svg Wire
Page suivante: Cercle Draft Circle.svg Arrow-right.svg